Subject: Re: [PATCH] DRBG: fix bit shifting on 32 bit systems

From: Stephan Mueller <[email-masked]>
Date: Tue, 26 Aug 2014 09:37:13 +0200

Am Dienstag, 26. August 2014, 15:32:19 schrieb Herbert Xu:

Hi Herbert,

> On Tue, Aug 26, 2014 at 09:31:02AM +0200, Stephan Mueller wrote:
> > Use ULL to mark a 64 bit value.
> > 
> > Reported-by: Stephen Rothwell <[email-masked]>
> > Reported-by: kbuild test robot <[email-masked]>
> > Signed-off-by: Stephan Mueller <[email-masked]>
> 
> I don't think this works as size_t is still 32-bit which means
> that you'll return zero.

Oops, yes. Thank you for catching this. I guess I need __u64 for this value. A 
patch will come shortly.
> Cheers,

-- 
Ciao
Stephan